Resolve one ambiguous platform billing command
Performs at most one Stripe subscription read and one optional schedule read, never writes to Stripe, and closes the command with immutable normalized evidence.
Performs at most one Stripe subscription read and one optional schedule read, never writes to Stripe, and closes the command with immutable normalized evidence.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
1 <= length <= 200Header Parameters
Stable key reused only when retrying the exact same command body
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/admin/platform-billing-command-reviews/string/resolve" \ -H "idempotency-key: stringst" \ -H "Content-Type: application/json" \ -d '{ "outcome": "confirmed_provider_target", "reason": "string" }'{ "data": { "commandId": "string", "organizationId": "string", "subscriptionId": "string", "kind": "plan_change", "status": "string", "errorCode": "string", "reviewRequiredAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "recoveryAttempts": 0, "targetPlan": "base", "targetBillingInterval": "month", "application": "immediate", "targetUnits": 0, "baseUnits": 0, "billingInterval": "month", "change": "string", "resolution": { "outcome": "confirmed_provider_target", "resultStatus": "completed", "reviewerUserId": "string", "reason": "string", "reviewRequiredAt": "2019-08-24T14:15:22Z", "reviewedAt": "2019-08-24T14:15:22Z", "sourceErrorCode": "string", "providerReadAt": "2019-08-24T14:15:22Z", "providerSubscriptionStatus": "string", "providerScheduleId": "string", "activePlan": "base", "activeBillingInterval": "month", "activeStorageUnits": 0, "scheduledPlan": "base", "scheduledBillingInterval": "month", "scheduledStorageUnits": 0, "scheduledAt": "2019-08-24T14:15:22Z" } }, "replayed": true}Reset a user's two-factor authentication POST
Turn off two-factor authentication for a user who has lost both their authenticator and their backup codes, deleting the TOTP secret and backup codes. The user can then sign in with their password and set up two-factor again. Platform admin access required.
Retry duplicate subscription compensation POST
Retry the idempotent cancellation/refund workflow for an unexpected Stripe Checkout completion. Platform admin access required.